Index: firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/fad_main_tb/struct.bd.bak
===================================================================
--- firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/fad_main_tb/struct.bd.bak	(revision 10908)
+++ firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/fad_main_tb/struct.bd.bak	(revision 10914)
@@ -6249,7 +8281,7 @@
 )
 )
-on &127
-)
-*204 (Wire
+on &128
+)
+*263 (Wire
 uid 849,0
 shape (OrthoPolyLine
@@ -6285,7 +8317,7 @@
 )
 )
-on &128
-)
-*205 (Wire
+on &129
+)
+*264 (Wire
 uid 857,0
 shape (OrthoPolyLine
@@ -6320,7 +8352,7 @@
 )
 )
-on &129
-)
-*206 (Wire
+on &130
+)
+*265 (Wire
 uid 865,0
 shape (OrthoPolyLine
@@ -6355,7 +8387,7 @@
 )
 )
-on &130
-)
-*207 (Wire
+on &131
+)
+*266 (Wire
 uid 873,0
 shape (OrthoPolyLine
@@ -6390,7 +8422,7 @@
 )
 )
-on &131
-)
-*208 (Wire
+on &132
+)
+*267 (Wire
 uid 881,0
 shape (OrthoPolyLine
@@ -6425,7 +8457,7 @@
 )
 )
-on &132
-)
-*209 (Wire
+on &133
+)
+*268 (Wire
 uid 889,0
 shape (OrthoPolyLine
@@ -6460,7 +8492,7 @@
 )
 )
-on &133
-)
-*210 (Wire
+on &134
+)
+*269 (Wire
 uid 897,0
 shape (OrthoPolyLine
@@ -6495,7 +8527,7 @@
 )
 )
-on &134
-)
-*211 (Wire
+on &135
+)
+*270 (Wire
 uid 1437,0
 shape (OrthoPolyLine
@@ -6530,7 +8562,7 @@
 )
 )
-on &135
-)
-*212 (Wire
+on &136
+)
+*271 (Wire
 uid 1445,0
 shape (OrthoPolyLine
@@ -6565,7 +8597,7 @@
 )
 )
-on &136
-)
-*213 (Wire
+on &137
+)
+*272 (Wire
 uid 1453,0
 shape (OrthoPolyLine
@@ -6600,7 +8632,7 @@
 )
 )
-on &137
-)
-*214 (Wire
+on &138
+)
+*273 (Wire
 uid 1461,0
 shape (OrthoPolyLine
@@ -6635,7 +8667,7 @@
 )
 )
-on &138
-)
-*215 (Wire
+on &139
+)
+*274 (Wire
 uid 1469,0
 shape (OrthoPolyLine
@@ -6672,7 +8704,7 @@
 )
 )
-on &139
-)
-*216 (Wire
+on &140
+)
+*275 (Wire
 uid 1477,0
 shape (OrthoPolyLine
@@ -6707,7 +8739,7 @@
 )
 )
-on &140
-)
-*217 (Wire
+on &141
+)
+*276 (Wire
 uid 1485,0
 shape (OrthoPolyLine
@@ -6742,7 +8774,7 @@
 )
 )
-on &141
-)
-*218 (Wire
+on &142
+)
+*277 (Wire
 uid 1503,0
 shape (OrthoPolyLine
@@ -6779,7 +8811,7 @@
 )
 )
-on &146
-)
-*219 (Wire
+on &147
+)
+*278 (Wire
 uid 1529,0
 shape (OrthoPolyLine
@@ -6796,5 +8828,5 @@
 ]
 )
-start &148
+start &149
 end &49
 sat 32
@@ -6817,7 +8849,7 @@
 )
 )
-on &155
-)
-*220 (Wire
+on &156
+)
+*279 (Wire
 uid 1533,0
 shape (OrthoPolyLine
@@ -6832,5 +8864,5 @@
 ]
 )
-start &142
+start &143
 sat 2
 eat 16
@@ -6852,7 +8884,7 @@
 )
 )
-on &146
-)
-*221 (Wire
+on &147
+)
+*280 (Wire
 uid 1561,0
 shape (OrthoPolyLine
@@ -6889,7 +8921,7 @@
 )
 )
-on &153
-)
-*222 (Wire
+on &154
+)
+*281 (Wire
 uid 1567,0
 shape (OrthoPolyLine
@@ -6904,5 +8936,5 @@
 ]
 )
-start &142
+start &143
 sat 2
 eat 16
@@ -6924,7 +8956,7 @@
 )
 )
-on &153
-)
-*223 (Wire
+on &154
+)
+*282 (Wire
 uid 1684,0
 shape (OrthoPolyLine
@@ -6959,7 +8991,7 @@
 )
 )
-on &154
-)
-*224 (Wire
+on &155
+)
+*283 (Wire
 uid 2707,0
 shape (OrthoPolyLine
@@ -6994,7 +9026,7 @@
 )
 )
-on &166
-)
-*225 (Wire
+on &167
+)
+*284 (Wire
 uid 2715,0
 shape (OrthoPolyLine
@@ -7029,7 +9061,7 @@
 )
 )
-on &167
-)
-*226 (Wire
+on &168
+)
+*285 (Wire
 uid 2723,0
 shape (OrthoPolyLine
@@ -7066,7 +9098,7 @@
 )
 )
-on &168
-)
-*227 (Wire
+on &169
+)
+*286 (Wire
 uid 2731,0
 shape (OrthoPolyLine
@@ -7101,7 +9133,7 @@
 )
 )
-on &169
-)
-*228 (Wire
+on &170
+)
+*287 (Wire
 uid 2739,0
 shape (OrthoPolyLine
@@ -7136,7 +9168,7 @@
 )
 )
-on &170
-)
-*229 (Wire
+on &171
+)
+*288 (Wire
 uid 2747,0
 shape (OrthoPolyLine
@@ -7171,7 +9203,7 @@
 )
 )
-on &171
-)
-*230 (Wire
+on &172
+)
+*289 (Wire
 uid 2755,0
 shape (OrthoPolyLine
@@ -7208,7 +9240,7 @@
 )
 )
-on &172
-)
-*231 (Wire
+on &173
+)
+*290 (Wire
 uid 2763,0
 shape (OrthoPolyLine
@@ -7243,7 +9275,7 @@
 )
 )
-on &173
-)
-*232 (Wire
+on &174
+)
+*291 (Wire
 uid 2771,0
 shape (OrthoPolyLine
@@ -7280,7 +9312,7 @@
 )
 )
-on &174
-)
-*233 (Wire
+on &175
+)
+*292 (Wire
 uid 2779,0
 shape (OrthoPolyLine
@@ -7315,5 +9347,42 @@
 )
 )
-on &175
+on &176
+)
+*293 (Wire
+uid 2944,0
+shape (OrthoPolyLine
+uid 2945,0
+va (VaSet
+vasetType 3
+lineWidth 2
+)
+xt "109750,90000,124000,90000"
+pts [
+"109750,90000"
+"124000,90000"
+]
+)
+start &65
+sat 32
+eat 16
+sty 1
+st 0
+sf 1
+si 0
+tg (WTG
+uid 2948,0
+ps "ConnStartEndStrategy"
+stg "STSignalDisplayStrategy"
+f (Text
+uid 2949,0
+va (VaSet
+)
+xt "111000,89000,122900,90000"
+st "socket_tx_free_out : (16:0)"
+blo "111000,89800"
+tm "WireNameMgr"
+)
+)
+on &177
 )
 ]
@@ -7329,9 +9398,9 @@
 color "26368,26368,26368"
 )
-packageList *234 (PackageList
+packageList *294 (PackageList
 uid 41,0
 stg "VerticalLayoutStrategy"
 textVec [
-*235 (Text
+*295 (Text
 uid 42,0
 va (VaSet
@@ -7342,9 +9411,9 @@
 blo "-87000,800"
 )
-*236 (MLText
+*296 (MLText
 uid 43,0
 va (VaSet
 )
-xt "-87000,1000,-70900,11000"
+xt "-87000,1000,-72500,11000"
 st "LIBRARY ieee;
 USE ieee.std_logic_1164.all;
@@ -7365,5 +9434,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*237 (Text
+*297 (Text
 uid 45,0
 va (VaSet
@@ -7375,5 +9444,5 @@
 blo "20000,800"
 )
-*238 (Text
+*298 (Text
 uid 46,0
 va (VaSet
@@ -7385,15 +9454,15 @@
 blo "20000,1800"
 )
-*239 (MLText
+*299 (MLText
 uid 47,0
 va (VaSet
 isHidden 1
 )
-xt "20000,2000,28200,4000"
+xt "20000,2000,27500,4000"
 st "`resetall
 `timescale 1ns/10ps"
 tm "BdCompilerDirectivesTextMgr"
 )
-*240 (Text
+*300 (Text
 uid 48,0
 va (VaSet
@@ -7405,5 +9474,5 @@
 blo "20000,4800"
 )
-*241 (MLText
+*301 (MLText
 uid 49,0
 va (VaSet
@@ -7413,5 +9482,5 @@
 tm "BdCompilerDirectivesTextMgr"
 )
-*242 (Text
+*302 (Text
 uid 50,0
 va (VaSet
@@ -7423,5 +9492,5 @@
 blo "20000,5800"
 )
-*243 (MLText
+*303 (MLText
 uid 51,0
 va (VaSet
@@ -7434,7 +9503,7 @@
 associable 1
 )
-windowSize "0,20,1681,1050"
-viewArea "69198,38598,161304,96306"
-cachedDiagramExtent "-92000,0,146000,98000"
+windowSize "0,0,1281,1024"
+viewArea "53418,13863,168802,105975"
+cachedDiagramExtent "-92000,0,168750,98000"
 pageSetupInfo (PageSetupInfo
 ptrCmd ""
@@ -7448,5 +9517,5 @@
 hasePageBreakOrigin 1
 pageBreakOrigin "-146000,0"
-lastUid 2804,0
+lastUid 3294,0
 defaultCommentText (CommentText
 shape (Rectangle
@@ -7463,5 +9532,5 @@
 fg "0,0,32768"
 )
-xt "200,200,2400,1200"
+xt "200,200,2000,1200"
 st "
 Text
@@ -7510,5 +9579,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*244 (Text
+*304 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7519,5 +9588,5 @@
 tm "BdLibraryNameMgr"
 )
-*245 (Text
+*305 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7528,5 +9597,5 @@
 tm "BlkNameMgr"
 )
-*246 (Text
+*306 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7579,5 +9648,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*247 (Text
+*307 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7587,5 +9656,5 @@
 blo "550,4300"
 )
-*248 (Text
+*308 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7595,5 +9664,5 @@
 blo "550,5300"
 )
-*249 (Text
+*309 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7644,5 +9713,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*250 (Text
+*310 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7653,5 +9722,5 @@
 tm "BdLibraryNameMgr"
 )
-*251 (Text
+*311 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7662,5 +9731,5 @@
 tm "CptNameMgr"
 )
-*252 (Text
+*312 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7716,5 +9785,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*253 (Text
+*313 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7724,5 +9793,5 @@
 blo "500,4300"
 )
-*254 (Text
+*314 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7732,5 +9801,5 @@
 blo "500,5300"
 )
-*255 (Text
+*315 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7777,5 +9846,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*256 (Text
+*316 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7785,5 +9854,5 @@
 blo "50,4300"
 )
-*257 (Text
+*317 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7793,5 +9862,5 @@
 blo "50,5300"
 )
-*258 (Text
+*318 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7834,5 +9903,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*259 (Text
+*319 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7843,5 +9912,5 @@
 tm "HdlTextNameMgr"
 )
-*260 (Text
+*320 (Text
 va (VaSet
 font "Arial,8,1"
@@ -7881,5 +9950,5 @@
 va (VaSet
 )
-xt "200,200,2400,1200"
+xt "200,200,2000,1200"
 st "
 Text
@@ -8219,5 +10288,5 @@
 va (VaSet
 )
-xt "0,-1100,12900,-100"
+xt "0,-1100,12600,-100"
 st "g0: FOR i IN 0 TO n GENERATE"
 tm "FrameTitleTextMgr"
@@ -8246,5 +10315,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*261 (Text
+*321 (Text
 va (VaSet
 font "Arial,8,1"
@@ -8254,5 +10323,5 @@
 blo "14100,20800"
 )
-*262 (MLText
+*322 (MLText
 va (VaSet
 )
@@ -8279,5 +10348,5 @@
 va (VaSet
 )
-xt "0,-1100,7700,-100"
+xt "0,-1100,7400,-100"
 st "b0: BLOCK (guard)"
 tm "FrameTitleTextMgr"
@@ -8306,5 +10375,5 @@
 stg "VerticalLayoutStrategy"
 textVec [
-*263 (Text
+*323 (Text
 va (VaSet
 font "Arial,8,1"
@@ -8314,5 +10383,5 @@
 blo "14100,20800"
 )
-*264 (MLText
+*324 (MLText
 va (VaSet
 )
@@ -8458,44 +10527,44 @@
 commonDM (CommonDM
 ldm (LogicalDM
-suid 62,0
+suid 64,0
 usingSuid 1
-emptyRow *265 (LEmptyRow
+emptyRow *325 (LEmptyRow
 )
 uid 54,0
 optionalChildren [
-*266 (RefLabelRowHdr
-)
-*267 (TitleRowHdr
-)
-*268 (FilterRowHdr
-)
-*269 (RefLabelColHdr
+*326 (RefLabelRowHdr
+)
+*327 (TitleRowHdr
+)
+*328 (FilterRowHdr
+)
+*329 (RefLabelColHdr
 tm "RefLabelColHdrMgr"
 )
-*270 (RowExpandColHdr
+*330 (RowExpandColHdr
 tm "RowExpandColHdrMgr"
 )
-*271 (GroupColHdr
+*331 (GroupColHdr
 tm "GroupColHdrMgr"
 )
-*272 (NameColHdr
+*332 (NameColHdr
 tm "BlockDiagramNameColHdrMgr"
 )
-*273 (ModeColHdr
+*333 (ModeColHdr
 tm "BlockDiagramModeColHdrMgr"
 )
-*274 (TypeColHdr
+*334 (TypeColHdr
 tm "BlockDiagramTypeColHdrMgr"
 )
-*275 (BoundsColHdr
+*335 (BoundsColHdr
 tm "BlockDiagramBoundsColHdrMgr"
 )
-*276 (InitColHdr
+*336 (InitColHdr
 tm "BlockDiagramInitColHdrMgr"
 )
-*277 (EolColHdr
+*337 (EolColHdr
 tm "BlockDiagramEolColHdrMgr"
 )
-*278 (LeafLogPort
+*338 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8511,5 +10580,5 @@
 uid 340,0
 )
-*279 (LeafLogPort
+*339 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8524,5 +10593,5 @@
 uid 342,0
 )
-*280 (LeafLogPort
+*340 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8537,5 +10606,5 @@
 uid 344,0
 )
-*281 (LeafLogPort
+*341 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8550,5 +10619,5 @@
 uid 346,0
 )
-*282 (LeafLogPort
+*342 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8563,5 +10632,5 @@
 uid 348,0
 )
-*283 (LeafLogPort
+*343 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8576,5 +10645,5 @@
 uid 404,0
 )
-*284 (LeafLogPort
+*344 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8588,5 +10657,5 @@
 uid 406,0
 )
-*285 (LeafLogPort
+*345 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8602,5 +10671,5 @@
 uid 408,0
 )
-*286 (LeafLogPort
+*346 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8616,5 +10685,5 @@
 uid 456,0
 )
-*287 (LeafLogPort
+*347 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8631,5 +10700,5 @@
 uid 458,0
 )
-*288 (LeafLogPort
+*348 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8644,5 +10713,5 @@
 uid 460,0
 )
-*289 (LeafLogPort
+*349 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8657,5 +10726,5 @@
 uid 584,0
 )
-*290 (LeafLogPort
+*350 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8669,5 +10738,5 @@
 uid 586,0
 )
-*291 (LeafLogPort
+*351 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8683,5 +10752,5 @@
 uid 588,0
 )
-*292 (LeafLogPort
+*352 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8697,5 +10766,5 @@
 uid 590,0
 )
-*293 (LeafLogPort
+*353 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8712,5 +10781,5 @@
 uid 592,0
 )
-*294 (LeafLogPort
+*354 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8725,5 +10794,5 @@
 uid 903,0
 )
-*295 (LeafLogPort
+*355 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8740,5 +10809,5 @@
 uid 905,0
 )
-*296 (LeafLogPort
+*356 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8753,5 +10822,5 @@
 uid 907,0
 )
-*297 (LeafLogPort
+*357 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8765,5 +10834,5 @@
 uid 909,0
 )
-*298 (LeafLogPort
+*358 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8777,5 +10846,5 @@
 uid 911,0
 )
-*299 (LeafLogPort
+*359 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8790,5 +10859,5 @@
 uid 913,0
 )
-*300 (LeafLogPort
+*360 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8805,5 +10874,5 @@
 uid 915,0
 )
-*301 (LeafLogPort
+*361 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8817,5 +10886,5 @@
 uid 917,0
 )
-*302 (LeafLogPort
+*362 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8829,5 +10898,5 @@
 uid 919,0
 )
-*303 (LeafLogPort
+*363 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8843,5 +10912,5 @@
 uid 921,0
 )
-*304 (LeafLogPort
+*364 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8856,5 +10925,5 @@
 uid 923,0
 )
-*305 (LeafLogPort
+*365 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8869,5 +10938,5 @@
 uid 925,0
 )
-*306 (LeafLogPort
+*366 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8882,5 +10951,5 @@
 uid 927,0
 )
-*307 (LeafLogPort
+*367 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8894,5 +10963,5 @@
 uid 929,0
 )
-*308 (LeafLogPort
+*368 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8906,5 +10975,5 @@
 uid 931,0
 )
-*309 (LeafLogPort
+*369 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8918,5 +10987,5 @@
 uid 933,0
 )
-*310 (LeafLogPort
+*370 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8930,5 +10999,5 @@
 uid 935,0
 )
-*311 (LeafLogPort
+*371 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8943,5 +11012,5 @@
 uid 1541,0
 )
-*312 (LeafLogPort
+*372 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8955,5 +11024,5 @@
 uid 1543,0
 )
-*313 (LeafLogPort
+*373 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8967,5 +11036,5 @@
 uid 1545,0
 )
-*314 (LeafLogPort
+*374 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8979,5 +11048,5 @@
 uid 1547,0
 )
-*315 (LeafLogPort
+*375 (LeafLogPort
 port (LogicalPort
 m 4
@@ -8992,5 +11061,5 @@
 uid 1549,0
 )
-*316 (LeafLogPort
+*376 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9005,5 +11074,5 @@
 uid 1551,0
 )
-*317 (LeafLogPort
+*377 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9017,5 +11086,5 @@
 uid 1553,0
 )
-*318 (LeafLogPort
+*378 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9030,5 +11099,5 @@
 uid 1555,0
 )
-*319 (LeafLogPort
+*379 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9044,5 +11113,5 @@
 uid 1575,0
 )
-*320 (LeafLogPort
+*380 (LeafLogPort
 port (LogicalPort
 lang 2
@@ -9057,5 +11126,5 @@
 uid 1690,0
 )
-*321 (LeafLogPort
+*381 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9070,5 +11139,5 @@
 uid 2003,0
 )
-*322 (LeafLogPort
+*382 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9082,5 +11151,5 @@
 uid 2785,0
 )
-*323 (LeafLogPort
+*383 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9094,5 +11163,5 @@
 uid 2787,0
 )
-*324 (LeafLogPort
+*384 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9109,5 +11178,5 @@
 uid 2789,0
 )
-*325 (LeafLogPort
+*385 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9121,5 +11190,5 @@
 uid 2791,0
 )
-*326 (LeafLogPort
+*386 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9133,5 +11202,5 @@
 uid 2793,0
 )
-*327 (LeafLogPort
+*387 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9145,5 +11214,5 @@
 uid 2795,0
 )
-*328 (LeafLogPort
+*388 (LeafLogPort
 port (LogicalPort
 lang 2
@@ -9161,5 +11230,5 @@
 uid 2797,0
 )
-*329 (LeafLogPort
+*389 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9174,5 +11243,5 @@
 uid 2799,0
 )
-*330 (LeafLogPort
+*390 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9189,5 +11258,5 @@
 uid 2801,0
 )
-*331 (LeafLogPort
+*391 (LeafLogPort
 port (LogicalPort
 m 4
@@ -9200,4 +11269,19 @@
 )
 uid 2803,0
+)
+*392 (LeafLogPort
+port (LogicalPort
+m 4
+decl (Decl
+n "socket_tx_free_out"
+t "std_logic_vector"
+b "(16 DOWNTO 0)"
+eolc "-- 17bit value .. that's true"
+posAdd 0
+o 55
+suid 64,0
+)
+)
+uid 2950,0
 )
 ]
@@ -9208,5 +11292,5 @@
 uid 67,0
 optionalChildren [
-*332 (Sheet
+*393 (Sheet
 sheetRow (SheetRow
 headerVa (MVa
@@ -9225,25 +11309,25 @@
 font "Tahoma,10,0"
 )
-emptyMRCItem *333 (MRCItem
-litem &265
-pos 54
+emptyMRCItem *394 (MRCItem
+litem &325
+pos 55
 dimension 20
 )
 uid 69,0
 optionalChildren [
-*334 (MRCItem
-litem &266
+*395 (MRCItem
+litem &326
 pos 0
 dimension 20
 uid 70,0
 )
-*335 (MRCItem
-litem &267
+*396 (MRCItem
+litem &327
 pos 1
 dimension 23
 uid 71,0
 )
-*336 (MRCItem
-litem &268
+*397 (MRCItem
+litem &328
 pos 2
 hidden 1
@@ -9251,327 +11335,333 @@
 uid 72,0
 )
-*337 (MRCItem
-litem &278
+*398 (MRCItem
+litem &338
 pos 0
 dimension 20
 uid 341,0
 )
-*338 (MRCItem
-litem &279
+*399 (MRCItem
+litem &339
 pos 1
 dimension 20
 uid 343,0
 )
-*339 (MRCItem
-litem &280
+*400 (MRCItem
+litem &340
 pos 2
 dimension 20
 uid 345,0
 )
-*340 (MRCItem
-litem &281
+*401 (MRCItem
+litem &341
 pos 3
 dimension 20
 uid 347,0
 )
-*341 (MRCItem
-litem &282
+*402 (MRCItem
+litem &342
 pos 4
 dimension 20
 uid 349,0
 )
-*342 (MRCItem
-litem &283
+*403 (MRCItem
+litem &343
 pos 5
 dimension 20
 uid 405,0
 )
-*343 (MRCItem
-litem &284
+*404 (MRCItem
+litem &344
 pos 6
 dimension 20
 uid 407,0
 )
-*344 (MRCItem
-litem &285
+*405 (MRCItem
+litem &345
 pos 7
 dimension 20
 uid 409,0
 )
-*345 (MRCItem
-litem &286
+*406 (MRCItem
+litem &346
 pos 8
 dimension 20
 uid 457,0
 )
-*346 (MRCItem
-litem &287
+*407 (MRCItem
+litem &347
 pos 9
 dimension 20
 uid 459,0
 )
-*347 (MRCItem
-litem &288
+*408 (MRCItem
+litem &348
 pos 10
 dimension 20
 uid 461,0
 )
-*348 (MRCItem
-litem &289
+*409 (MRCItem
+litem &349
 pos 11
 dimension 20
 uid 585,0
 )
-*349 (MRCItem
-litem &290
+*410 (MRCItem
+litem &350
 pos 12
 dimension 20
 uid 587,0
 )
-*350 (MRCItem
-litem &291
+*411 (MRCItem
+litem &351
 pos 13
 dimension 20
 uid 589,0
 )
-*351 (MRCItem
-litem &292
+*412 (MRCItem
+litem &352
 pos 14
 dimension 20
 uid 591,0
 )
-*352 (MRCItem
-litem &293
+*413 (MRCItem
+litem &353
 pos 15
 dimension 20
 uid 593,0
 )
-*353 (MRCItem
-litem &294
+*414 (MRCItem
+litem &354
 pos 16
 dimension 20
 uid 904,0
 )
-*354 (MRCItem
-litem &295
+*415 (MRCItem
+litem &355
 pos 17
 dimension 20
 uid 906,0
 )
-*355 (MRCItem
-litem &296
+*416 (MRCItem
+litem &356
 pos 18
 dimension 20
 uid 908,0
 )
-*356 (MRCItem
-litem &297
+*417 (MRCItem
+litem &357
 pos 19
 dimension 20
 uid 910,0
 )
-*357 (MRCItem
-litem &298
+*418 (MRCItem
+litem &358
 pos 20
 dimension 20
 uid 912,0
 )
-*358 (MRCItem
-litem &299
+*419 (MRCItem
+litem &359
 pos 21
 dimension 20
 uid 914,0
 )
-*359 (MRCItem
-litem &300
+*420 (MRCItem
+litem &360
 pos 22
 dimension 20
 uid 916,0
 )
-*360 (MRCItem
-litem &301
+*421 (MRCItem
+litem &361
 pos 23
 dimension 20
 uid 918,0
 )
-*361 (MRCItem
-litem &302
+*422 (MRCItem
+litem &362
 pos 24
 dimension 20
 uid 920,0
 )
-*362 (MRCItem
-litem &303
+*423 (MRCItem
+litem &363
 pos 25
 dimension 20
 uid 922,0
 )
-*363 (MRCItem
-litem &304
+*424 (MRCItem
+litem &364
 pos 26
 dimension 20
 uid 924,0
 )
-*364 (MRCItem
-litem &305
+*425 (MRCItem
+litem &365
 pos 27
 dimension 20
 uid 926,0
 )
-*365 (MRCItem
-litem &306
+*426 (MRCItem
+litem &366
 pos 28
 dimension 20
 uid 928,0
 )
-*366 (MRCItem
-litem &307
+*427 (MRCItem
+litem &367
 pos 29
 dimension 20
 uid 930,0
 )
-*367 (MRCItem
-litem &308
+*428 (MRCItem
+litem &368
 pos 30
 dimension 20
 uid 932,0
 )
-*368 (MRCItem
-litem &309
+*429 (MRCItem
+litem &369
 pos 31
 dimension 20
 uid 934,0
 )
-*369 (MRCItem
-litem &310
+*430 (MRCItem
+litem &370
 pos 32
 dimension 20
 uid 936,0
 )
-*370 (MRCItem
-litem &311
+*431 (MRCItem
+litem &371
 pos 33
 dimension 20
 uid 1542,0
 )
-*371 (MRCItem
-litem &312
+*432 (MRCItem
+litem &372
 pos 34
 dimension 20
 uid 1544,0
 )
-*372 (MRCItem
-litem &313
+*433 (MRCItem
+litem &373
 pos 35
 dimension 20
 uid 1546,0
 )
-*373 (MRCItem
-litem &314
+*434 (MRCItem
+litem &374
 pos 36
 dimension 20
 uid 1548,0
 )
-*374 (MRCItem
-litem &315
+*435 (MRCItem
+litem &375
 pos 37
 dimension 20
 uid 1550,0
 )
-*375 (MRCItem
-litem &316
+*436 (MRCItem
+litem &376
 pos 38
 dimension 20
 uid 1552,0
 )
-*376 (MRCItem
-litem &317
+*437 (MRCItem
+litem &377
 pos 39
 dimension 20
 uid 1554,0
 )
-*377 (MRCItem
-litem &318
+*438 (MRCItem
+litem &378
 pos 40
 dimension 20
 uid 1556,0
 )
-*378 (MRCItem
-litem &319
+*439 (MRCItem
+litem &379
 pos 41
 dimension 20
 uid 1576,0
 )
-*379 (MRCItem
-litem &320
+*440 (MRCItem
+litem &380
 pos 42
 dimension 20
 uid 1691,0
 )
-*380 (MRCItem
-litem &321
+*441 (MRCItem
+litem &381
 pos 43
 dimension 20
 uid 2004,0
 )
-*381 (MRCItem
-litem &322
+*442 (MRCItem
+litem &382
 pos 44
 dimension 20
 uid 2786,0
 )
-*382 (MRCItem
-litem &323
+*443 (MRCItem
+litem &383
 pos 45
 dimension 20
 uid 2788,0
 )
-*383 (MRCItem
-litem &324
+*444 (MRCItem
+litem &384
 pos 46
 dimension 20
 uid 2790,0
 )
-*384 (MRCItem
-litem &325
+*445 (MRCItem
+litem &385
 pos 47
 dimension 20
 uid 2792,0
 )
-*385 (MRCItem
-litem &326
+*446 (MRCItem
+litem &386
 pos 48
 dimension 20
 uid 2794,0
 )
-*386 (MRCItem
-litem &327
+*447 (MRCItem
+litem &387
 pos 49
 dimension 20
 uid 2796,0
 )
-*387 (MRCItem
-litem &328
+*448 (MRCItem
+litem &388
 pos 50
 dimension 20
 uid 2798,0
 )
-*388 (MRCItem
-litem &329
+*449 (MRCItem
+litem &389
 pos 51
 dimension 20
 uid 2800,0
 )
-*389 (MRCItem
-litem &330
+*450 (MRCItem
+litem &390
 pos 52
 dimension 20
 uid 2802,0
 )
-*390 (MRCItem
-litem &331
+*451 (MRCItem
+litem &391
 pos 53
 dimension 20
 uid 2804,0
+)
+*452 (MRCItem
+litem &392
+pos 54
+dimension 20
+uid 2951,0
 )
 ]
@@ -9586,48 +11676,48 @@
 uid 73,0
 optionalChildren [
-*391 (MRCItem
-litem &269
+*453 (MRCItem
+litem &329
 pos 0
 dimension 20
 uid 74,0
 )
-*392 (MRCItem
-litem &271
+*454 (MRCItem
+litem &331
 pos 1
 dimension 50
 uid 75,0
 )
-*393 (MRCItem
-litem &272
+*455 (MRCItem
+litem &332
 pos 2
 dimension 100
 uid 76,0
 )
-*394 (MRCItem
-litem &273
+*456 (MRCItem
+litem &333
 pos 3
 dimension 50
 uid 77,0
 )
-*395 (MRCItem
-litem &274
+*457 (MRCItem
+litem &334
 pos 4
 dimension 100
 uid 78,0
 )
-*396 (MRCItem
-litem &275
+*458 (MRCItem
+litem &335
 pos 5
 dimension 100
 uid 79,0
 )
-*397 (MRCItem
-litem &276
+*459 (MRCItem
+litem &336
 pos 6
 dimension 50
 uid 80,0
 )
-*398 (MRCItem
-litem &277
+*460 (MRCItem
+litem &337
 pos 7
 dimension 80
@@ -9649,36 +11739,36 @@
 genericsCommonDM (CommonDM
 ldm (LogicalDM
-emptyRow *399 (LEmptyRow
+emptyRow *461 (LEmptyRow
 )
 uid 83,0
 optionalChildren [
-*400 (RefLabelRowHdr
-)
-*401 (TitleRowHdr
-)
-*402 (FilterRowHdr
-)
-*403 (RefLabelColHdr
+*462 (RefLabelRowHdr
+)
+*463 (TitleRowHdr
+)
+*464 (FilterRowHdr
+)
+*465 (RefLabelColHdr
 tm "RefLabelColHdrMgr"
 )
-*404 (RowExpandColHdr
+*466 (RowExpandColHdr
 tm "RowExpandColHdrMgr"
 )
-*405 (GroupColHdr
+*467 (GroupColHdr
 tm "GroupColHdrMgr"
 )
-*406 (NameColHdr
+*468 (NameColHdr
 tm "GenericNameColHdrMgr"
 )
-*407 (TypeColHdr
+*469 (TypeColHdr
 tm "GenericTypeColHdrMgr"
 )
-*408 (InitColHdr
+*470 (InitColHdr
 tm "GenericValueColHdrMgr"
 )
-*409 (PragmaColHdr
+*471 (PragmaColHdr
 tm "GenericPragmaColHdrMgr"
 )
-*410 (EolColHdr
+*472 (EolColHdr
 tm "GenericEolColHdrMgr"
 )
@@ -9690,5 +11780,5 @@
 uid 95,0
 optionalChildren [
-*411 (Sheet
+*473 (Sheet
 sheetRow (SheetRow
 headerVa (MVa
@@ -9707,6 +11797,6 @@
 font "Tahoma,10,0"
 )
-emptyMRCItem *412 (MRCItem
-litem &399
+emptyMRCItem *474 (MRCItem
+litem &461
 pos 0
 dimension 20
@@ -9714,18 +11804,18 @@
 uid 97,0
 optionalChildren [
-*413 (MRCItem
-litem &400
+*475 (MRCItem
+litem &462
 pos 0
 dimension 20
 uid 98,0
 )
-*414 (MRCItem
-litem &401
+*476 (MRCItem
+litem &463
 pos 1
 dimension 23
 uid 99,0
 )
-*415 (MRCItem
-litem &402
+*477 (MRCItem
+litem &464
 pos 2
 hidden 1
@@ -9744,42 +11834,42 @@
 uid 101,0
 optionalChildren [
-*416 (MRCItem
-litem &403
+*478 (MRCItem
+litem &465
 pos 0
 dimension 20
 uid 102,0
 )
-*417 (MRCItem
-litem &405
+*479 (MRCItem
+litem &467
 pos 1
 dimension 50
 uid 103,0
 )
-*418 (MRCItem
-litem &406
+*480 (MRCItem
+litem &468
 pos 2
 dimension 100
 uid 104,0
 )
-*419 (MRCItem
-litem &407
+*481 (MRCItem
+litem &469
 pos 3
 dimension 100
 uid 105,0
 )
-*420 (MRCItem
-litem &408
+*482 (MRCItem
+litem &470
 pos 4
 dimension 50
 uid 106,0
 )
-*421 (MRCItem
-litem &409
+*483 (MRCItem
+litem &471
 pos 5
 dimension 50
 uid 107,0
 )
-*422 (MRCItem
-litem &410
+*484 (MRCItem
+litem &472
 pos 6
 dimension 80
